%define ver_major 1.0

Name: gnome-spell
Version: %ver_major.8
Release: alt2

License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Summary: Gnome Spell is GNOME/Bonobo component for spell checking
Source0: ftp://ftp.gnome.org/pub/gnome/sources/gnome-spell/%ver_major/%name-%version.tar.bz2

Patch1: %name-1.0.5-ru.po.patch
Patch3: %name-1.0.5-belarusian.patch
Patch4: %name-1.0.8-enchant.patch
Patch5: %name-1.0.5-i18n.patch
Patch6: %name-1.0.5-alt-gnome-headers.patch
Patch7: %name-1.0.5-gconf-path.patch

BuildRequires: gcc-c++ libSM-devel libenchant-devel libgnomeui-devel
BuildRequires: libglade-devel libgtk+2-devel libgnome-devel zlib-devel

Requires: libenchant >= 1.2.0

%description
Gnome Spell is GNOME/Bonobo component for spell checking. Current version
based on enchant abstract layer.

%prep
%setup -q -n %name-%version
#patch6 -p1
#patch1 -p1
%patch4
#patch3 -p1
%patch5 -p1
#patch7 -p1

%build
%__autoreconf
%configure \
    --disable-static
%make_build

%install
%makeinstall

# remove none-packaged files.
%__rm -f %buildroot%_libdir/%name/*.la

%find_lang %name-%version

%files -f %name-%version.lang
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL
%dir %_libdir/gnome-spell
%_libdir/gnome-spell/*.so
%_libdir/bonobo/servers/*
%_datadir/control-center-2.0/icons/spell-checker.png
%_datadir/%name-%version
%_datadir/idl/Spell*

%changelog
* Mon Jan 19 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0.8-alt2
- updated buildreqs

* Thu Dec 13 2007 Alexey Shabalin <shaba@altlinux.ru> 1.0.8-alt1
- new version (1.0.8)
- disable patches:
  + %name-1.0.5-ru.po.patch
  + %name-1.0.5-belarusian.patch
  + %name-1.0.5-alt-gnome-headers.patch
  + %name-1.0.5-gconf-path.patch
- new enchant patch
- add Packager
- update buildrequires

* Fri Dec 09 2005 Vital Khilko <vk@altlinux.ru> 1.0.5-alt6
- removed gcc3.3 dependencies
- removed be and ru package description 

* Thu Jul 29 2004 Vital Khilko <vk@altlinux.ru> 1.0.5-alt5
- cleanup spec
- added be and ru package description

* Tue Jul 27 2004 Vital Khilko <vk@altlinux.ru> 1.0.5-alt4
- rebuilded with gnome 2.6

* Mon Nov 24 2003 Vital Khilko <vk@altlinux.ru> 1.0.5-alt3
- rebuild with enchant support instead aspell
- updated belarusian translation
- updated russian translation
- fix i18n support

* Fri Sep 19 2003 AEN <aen@altlinux.ru> 1.0.5-alt2
- belarusian patch frm Vital Khilko (vk@altlinux.ru)

* Thu Sep 18 2003 AEN <aen@altlinux.ru> 1.0.5-alt1
- new version

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.5-alt2
- rebuilt with libgal-0.21

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 0.5-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.4-alt2
- rebuilt with gal-0.19

* Mon Nov 09 2001 AEN <aen@logic.ru> 0.4-alt1
- new version
- nospell patch from MDK

* Wed Jun 13 2001 AEN <aen@logic.ru> 0.1-ipl4mdk
- build with pspell-0.12.2

* Mon Apr 7 2001 AEN <aen@logic.ru> 0.1-ipl3mdk
- rebuild with new pspell

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package

# end of file
